added new external backup app and update other apps

This commit is contained in:
naturallaw77 2024-03-13 16:00:01 -07:00
parent 830996a69b
commit fc7b2694c8
9 changed files with 380 additions and 5 deletions

View File

@ -12,6 +12,12 @@
###
![Sovran_SystemsOS_External_Backup](https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_External_Backup/To%20Install%20on%20local%20Sovran%20Pros/.Sovran_Systems/Icon_External_Backup/Sovran_SystemsOS_External_Backup_Icon.svg)
**The Sovran_SystemsOS_External_Backup app allows the user to back up all the Sovran Pro's important files to an external hard drive**
###
![Sovran_SystemsOS_Light_Updater](https://git.sovransystems.com/Sovran_Systems/Packages/raw/branch/main/Sovran_SystemsOS_Updater/To%20Install%20on%20Local%20Sovarn%20Pros/.Sovran_Systems/Icon/Sovran_SystemsOS_Updater_Iconv3.svg)
**Sovran_SystemsOS_Light_Updater is the one click update app to keep your Sovran Book Pro's software up to date.**

View File

@ -0,0 +1,23 @@
Welcome to the Sovran_SystemsOS External Backup App!
1. Make sure your external hard drive is plugged into your Sovran Pro in one of the open USB ports
2. The external hard drive should be at least 500GB in size
3. The external hard drive needs to be "exFAT" formatted
This external backup app will run through a few stages. At the beginning, it will ask you to choose where to put the backup file on the attached external hard drive. Click the external hard drive from the file window and/or a folder of your liking inside the attached external hard drive to proceed.
It could take up to 4 hours for it to finish depending on the amount of data stored on your Sovran Pro and the speed of your external hard drive. Be patient...
When it is finished, a final pop up will state "All Finished! Please eject the drive before removing it from your Sovran Pro."
All updates come from these links:
https://git.sovransystems.com/Sovran_Systems/Software
Don't Trust, Verify!
After you have checked that the software is safe from the links above, then click "OK."
Enjoy!

View File

@ -0,0 +1,53 @@
#!/usr/bin/env bash
CHOOSE () {
file=$(zenity --file-selection --directory --title="Sovran_SystemsOS External Backup - CHOOSE BACKUP LOCATION")
}
SAGE () {
time_stamp=$(date +%Y-%m-%d-%T)
if ! ssh root@localhost rsync -ar /run/media/Second_Drive/BTCEcoandBackup/NixOS_Snapshot_Backup/hourly.0 /"$file"/"$time_stamp"; then
zenity --error \
--width=700 \
--title="Sovran_SystemsOS External Backup" \
--text="Error Could Not Backup."
else
zenity --info \
--ellipsize \
--no-wrap \
--width=700 \
--title="Sovran_SystemsOS External Backup" \
--text="All Finished! Please eject the external drive before removing it from your Sovran Pro."
fi
}
#########
curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_External_Backup/External%20Backup Source%20Files/Intro.md" |
zenity --text-info \
--width=1000 \
--height=750 \
--title="Sovran_SystemsOS External Backup"
if [[ $? -eq 1 ]]; then
exit 1
else
CHOOSE
SAGE | zenity --progress --no-cancel --auto-close --width=660 --pulsate --text="Backing up now. It could take up to 4 hours for it to finish depending on the amount of data stored on your Sovran Pro and the speed of your external hard drive. Be patient..." --title="Sovran_SystemsOS External Backup"
fi
exit 0

View File

@ -0,0 +1,238 @@
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<svg
width="128px"
height="128px"
viewBox="0 0 128 128"
version="1.1"
id="svg96"
sodipodi:docname="Sovran_SystemsOS_External_Backup_Icon.svg"
xml:space="preserve"
inkscape:version="1.3.2 (091e20ef0f, 2023-11-25)"
xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
xmlns:xlink="http://www.w3.org/1999/xlink"
xmlns="http://www.w3.org/2000/svg"
xmlns:svg="http://www.w3.org/2000/svg"><sodipodi:namedview
id="namedview98"
pagecolor="#505050"
bordercolor="#ffffff"
borderopacity="1"
inkscape:showpageshadow="0"
inkscape:pageopacity="0"
inkscape:pagecheckerboard="1"
inkscape:deskcolor="#505050"
showgrid="false"
inkscape:zoom="3.4356905"
inkscape:cx="8.8774004"
inkscape:cy="64.470301"
inkscape:window-width="1896"
inkscape:window-height="1093"
inkscape:window-x="26"
inkscape:window-y="23"
inkscape:window-maximized="0"
inkscape:current-layer="layer2" /><defs
id="defs67"><linearGradient
inkscape:collect="always"
id="linearGradient936"><stop
style="stop-color:#1e8e11;stop-opacity:1;"
offset="0"
id="stop932" /><stop
style="stop-color:#1bff00;stop-opacity:0;"
offset="1"
id="stop934" /></linearGradient><linearGradient
id="linearGradient1028"
inkscape:swatch="solid"><stop
style="stop-color:#000000;stop-opacity:1;"
offset="0"
id="stop1026" /></linearGradient><linearGradient
id="linearGradient998"
inkscape:swatch="solid"><stop
style="stop-color:#000000;stop-opacity:1;"
offset="0"
id="stop996" /></linearGradient><radialGradient
id="radial0"
gradientUnits="userSpaceOnUse"
cx="131.914749"
cy="55.927143"
fx="131.914749"
fy="55.927143"
r="160"
gradientTransform="matrix(0.232034,-0.541475,-0.368794,-0.0298398,4.277749,118.95849)"><stop
offset="0"
style="stop-color:#00ff39;stop-opacity:1;"
id="stop2" /><stop
offset="1"
style="stop-color:#004a19;stop-opacity:1;"
id="stop4" /></radialGradient><radialGradient
id="radial1"
gradientUnits="userSpaceOnUse"
cx="525.587769"
cy="638.591797"
fx="525.587769"
fy="638.591797"
r="192"
gradientTransform="matrix(-0.107656,-0.225172,-0.327748,0.258343,373.87973,30.205086)"><stop
offset="0"
style="stop-color:#43b60b;stop-opacity:1;"
id="stop7" /><stop
offset="1"
style="stop-color:#0b88ff;stop-opacity:0.00829875;"
id="stop9" /></radialGradient><clipPath
id="clip1"><path
d="M 7 46 L 57 46 L 57 93 L 7 93 Z M 7 46 "
id="path12" /></clipPath><clipPath
id="clip2"><path
d="M 32.25 46.957031 C 19.6875 46.96875 9.085938 56.636719 7.503906 69.53125 C 9.0625 82.445312 19.667969 92.144531 32.25 92.160156 C 44.816406 92.148438 55.414062 82.480469 57 69.585938 C 55.441406 56.671875 44.835938 46.972656 32.25 46.957031 Z M 32.25 46.957031 "
id="path15" /></clipPath><radialGradient
id="radial2"
gradientUnits="userSpaceOnUse"
cx="131.914749"
cy="55.927143"
fx="131.914749"
fy="55.927143"
r="160"
gradientTransform="matrix(0.485163,-1.148584,-0.771115,-0.0632965,-47.124961,203.98857)"><stop
offset="0"
style="stop-color:rgb(92.941177%,20%,23.137255%);stop-opacity:1;"
id="stop18" /><stop
offset="1"
style="stop-color:rgb(63.921571%,27.843139%,72.941178%);stop-opacity:1;"
id="stop20" /></radialGradient><radialGradient
id="radial3"
gradientUnits="userSpaceOnUse"
cx="525.587769"
cy="638.591797"
fx="525.587769"
fy="638.591797"
r="192"
gradientTransform="matrix(-0.225099,-0.477638,-0.685291,0.548001,725.67923,15.723794)"><stop
offset="0"
style="stop-color:rgb(10.980392%,44.313726%,84.705883%);stop-opacity:1;"
id="stop23" /><stop
offset="1"
style="stop-color:rgb(20.784314%,51.764709%,89.411765%);stop-opacity:0.00829876;"
id="stop25" /></radialGradient><linearGradient
id="linear0"
gradientUnits="userSpaceOnUse"
x1="22"
y1="37"
x2="62"
y2="37"
gradientTransform="matrix(1.4,0,0,1.4,-26.799973,2.491745)"><stop
offset="0"
style="stop-color:rgb(58.039218%,57.647061%,56.470591%);stop-opacity:1;"
id="stop28" /><stop
offset="0.0908155"
style="stop-color:rgb(87.058824%,86.666667%,85.490197%);stop-opacity:1;"
id="stop30" /><stop
offset="0.336093"
style="stop-color:rgb(60.392159%,60.000002%,58.823532%);stop-opacity:1;"
id="stop32" /><stop
offset="0.844326"
style="stop-color:rgb(76.47059%,75.294119%,72.941178%);stop-opacity:1;"
id="stop34" /><stop
offset="0.930505"
style="stop-color:rgb(87.058824%,86.666667%,85.490197%);stop-opacity:1;"
id="stop36" /><stop
offset="1"
style="stop-color:rgb(75.294119%,74.901962%,73.725492%);stop-opacity:1;"
id="stop38" /></linearGradient><radialGradient
id="radial4"
gradientUnits="userSpaceOnUse"
cx="-172.560638"
cy="28.569126"
fx="-172.560638"
fy="28.569126"
r="15.85742"
gradientTransform="matrix(1.560712,0,0,1.4252,300.69366,13.349996)"><stop
offset="0"
style="stop-color:rgb(100%,100%,100%);stop-opacity:0.358268;"
id="stop41" /><stop
offset="1"
style="stop-color:rgb(100%,100%,100%);stop-opacity:0.0944882;"
id="stop43" /></radialGradient><filter
id="alpha"
filterUnits="objectBoundingBox"
x="0"
y="0"
width="1"
height="1"><feColorMatrix
type="matrix"
in="SourceGraphic"
values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"
id="feColorMatrix46" /></filter><mask
id="mask0"><g
filter="url(#alpha)"
id="g51"><rect
x="0"
y="0"
width="128"
height="128"
style="fill:rgb(0%,0%,0%);fill-opacity:0.1;stroke:none;"
id="rect49" /></g></mask><clipPath
id="clip3"><rect
x="0"
y="0"
width="192"
height="152"
id="rect54" /></clipPath><g
id="surface382"
clip-path="url(#clip3)"><path
style=" stroke:none;fill-rule:nonzero;fill:rgb(27.058825%,21.176471%,21.568628%);fill-opacity:1;"
d="M 40 59.957031 C 26.191406 59.957031 15 71.152344 15 84.957031 C 15.011719 85.996094 15.085938 86.777344 15.222656 87.804688 C 15.222656 75.957031 27.421875 65.96875 40 65.957031 C 52.597656 65.972656 64.777344 75.957031 64.777344 87.859375 C 64.917969 86.816406 64.992188 86.011719 65 84.957031 C 65 71.152344 53.808594 59.957031 40 59.957031 Z M 40 59.957031 "
id="path57" /></g><radialGradient
id="radial5"
gradientUnits="userSpaceOnUse"
cx="40"
cy="227"
fx="40"
fy="227"
r="28"
gradientTransform="matrix(0.575553,0,1.60551e-8,1.540703,8.977913,-280.78108)"><stop
offset="0"
style="stop-color:rgb(100%,100%,100%);stop-opacity:1;"
id="stop60" /><stop
offset="0.744626"
style="stop-color:rgb(98.039216%,98.039216%,98.039216%);stop-opacity:1;"
id="stop62" /><stop
offset="1"
style="stop-color:rgb(87.450981%,87.450981%,87.450981%);stop-opacity:1;"
id="stop64" /></radialGradient>
<linearGradient
inkscape:collect="always"
xlink:href="#linearGradient936"
id="linearGradient938"
x1="-48.519272"
y1="18.511358"
x2="287.07454"
y2="18.511358"
gradientUnits="userSpaceOnUse"
gradientTransform="matrix(1.1020247,0,0,1.1097375,37.198581,-10.424856)" /></defs><path
style="fill:#f5f5f3;fill-opacity:1;fill-rule:nonzero;stroke:none"
d="m 20,11.957031 h 88 c 4.41797,0 8,3.582031 8,8 V 108 c 0,4.41797 -3.58203,8 -8,8 H 20 c -4.417969,0 -8,-3.58203 -8,-8 V 19.957031 c 0,-4.417969 3.582031,-8 8,-8 z m 0,0"
id="path69" /><path
style="fill:url(#radial0);fill-rule:nonzero;stroke:none"
d="m 20,85.957031 h 88 v -66 H 20 Z m 0,0"
id="path71" /><path
style="fill:none;fill-rule:nonzero;stroke:none;fill-opacity:1"
d="m 20,85.957031 h 88 v -66 H 20 Z m 0,0"
id="path73" /><g
inkscape:groupmode="layer"
id="layer2"
inkscape:label="Layer 1"
transform="matrix(0.1816,0,0,0.1816,35.224187,79.037164)"><ellipse
fill="#54c147"
cx="157.63228"
cy="10.117889"
id="circle8314"
rx="184.91634"
ry="179.91556"
style="fill:url(#linearGradient938);fill-opacity:1;stroke-width:1.71591" /><path
d="m 191.69348,-75.444104 h 29.57082 c 8.17816,0 14.7854,7.544307 14.7854,16.882341 V 76.497221 c 0,9.338053 -6.60724,16.882363 -14.7854,16.882363 h -29.57082 c -8.17817,0 -14.78542,7.544296 -14.78542,16.882366 0,9.33805 6.60725,16.88235 14.78542,16.88235 h 29.57082 c 24.48832,0 44.35621,-22.68567 44.35621,-50.647079 V -58.561763 c 0,-27.961423 -19.86789,-50.647107 -44.35621,-50.647107 h -29.57082 c -8.17817,0 -14.78542,7.5443 -14.78542,16.882376 0,9.338037 6.60725,16.88239 14.78542,16.88239 z m -4.34321,96.335018 c 5.77552,-6.594695 5.77552,-17.3044269 0,-23.8990941 L 128.20866,-70.537677 c -5.77555,-6.594706 -15.15503,-6.594706 -20.93059,0 -5.77553,6.594665 -5.77553,17.30444 0,23.899104 l 33.91401,38.7239269 H 43.839481 c -8.178196,0 -14.785409,7.54429824 -14.785409,16.8823812 0,9.3380629 6.607213,16.8823699 14.785409,16.8823699 h 97.352599 l -33.91401,38.723937 c -5.77553,6.594674 -5.77553,17.304438 0,23.899112 5.77556,6.59467 15.15504,6.59467 20.93059,0 l 59.14161,-67.529486 z"
id="path1"
style="fill:#ffffff;stroke-width:0.493723" /></g><g
inkscape:groupmode="layer"
id="layer1"
inkscape:label="Layer 2" /></svg>

After

Width:  |  Height:  |  Size: 9.4 KiB

View File

@ -0,0 +1,5 @@
#!/usr/bin/env bash
bash -c "$(curl https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_External_Backup/External%20Backup%20Source%20Files/Sovran_SystemsOS_External_Backup.sh)"
exit

View File

@ -0,0 +1,7 @@
[Desktop Entry]
Version=1.0
Terminal=false
Type=Application
Name=Sovran_SystemsOS_Light Updater
Exec=/home/free/.Sovran_Systems/localscript_to_remote_external_backup.sh
Icon=/home/free/.Sovran_Systems/Icon_External_Backup/Sovran_SystemsOS_External_Backup_Icon.svg

View File

@ -0,0 +1,31 @@
#!/usr/bin/env bash
pushd /home/free/Downloads
wget https://git.sovransystems.com/Sovran_Systems/Software/archive/main.zip
unzip main.zip
popd
mkdir -p /home/free/.Sovran_Systems
mkdir -p /home/free/.local/share/applications/
mv "/home/free/Downloads/software/Sovran_SystemsOS_External_Backup/To Install on Local Sovran Pros/.Sovran_Systems/localscript_to_remote_external_backup.sh" /home/free/.Sovran_Systems/
mv "/home/free/Downloads/software/Sovran_SystemsOS_External_Backup/To Install on Local Sovran Pros/.Sovran_Systems/Icon_External_Backup" /home/free/.Sovran_Systems/
mv "/home/free/Downloads/software/Sovran_SystemsOS_External_Backup/To Install on Local Sovran Pros/Sovran_SystemsOS_External_Backup.desktop" /home/free/.local/share/applications/
chown free:users /home/free -R
chmod 770 /home/free -R
rm -rf /home/free/Downloads/software
rm -rf /home/free/Downloads/main.zip
rm -rf /home/free/Downloads/sovran_systemsOS_external_backup_install.sh
exit

View File

@ -14,7 +14,14 @@ fi
}
SPICE () {
if ! xterm -T "Sovran_SystemsOS_Light Updater" -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'" ; then
time_stamp=$(date +%Y-%m-%d-%T)
mkdir -p /home/free/Documents/Updater_App_Logs
find /home/free/Documents/Updater_App_Logs -name "*.txt" -type f -mtime +5 -delete
if ! ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch &> /home/free/Documents/Updater_App_Logs/'$time_stamp'_Updater_Log.txt' ; then
zenity --error \
--width=500 \

View File

@ -14,15 +14,20 @@ fi
}
SPICE () {
if ! xterm -T "Sovran_SystemsOS Updater" -fa 'Noto Mono' -fs 15 -fg white -bg black -e bash -c "ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure'" ; then
time_stamp=$(date +%Y-%m-%d-%T)
mkdir -p /home/free/Documents/Updater_App_Logs
find /home/free/Documents/Updater_App_Logs -name "*.txt" -type f -mtime +5 -delete
if ! ssh root@localhost 'cd /etc/nixos && nix flake update && nixos-rebuild switch --impure &> /home/free/Documents/Updater_App_Logs/'$time_stamp'_Updater_Log.txt' ; then
zenity --error \
--width=400 \
--title="Sovran_SystemsOS Updater" \
--text="Could not complete the Sovran_SystemsOS update."
exit 1
else
zenity --info \
@ -57,4 +62,4 @@ else
fi
exit 0
exit 0